#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%define		pdir	IPC
%define		pnam	ShareLite
Summary:	IPC::ShareLite Perl module - light-weight interface to shared memory
Summary(pl.UTF-8):	Moduł Perla IPC::ShareLite - lekki interfejs do pamięci dzielonej
Name:		perl-IPC-ShareLite
Version:	0.17
Release:	18
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IPC/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	54c7aa08dc065b6c946c48491d33450d
URL:		https://metacpan.org/dist/IPC-ShareLite
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IPC::ShareLite provides a simple interface to shared memory, allowing
data to be efficiently communicated between processes. Your operating
system must support SysV IPC (shared memory and semaphores) in order
to use this module.

%description -l pl.UTF-8
IPC::ShareLite udostępnia prosty interfejs do pamięci wspólnej,
umożliwiając wydajną wymianę danych pomiędzy procesami. Aby
korzystanie z tego modułu było możliwe, System operacyjny musi
wspierać SysV IPC (pamięć wspólna i semafory).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL </dev/null \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/IPC/ShareLite.pm
%dir %{perl_vendorarch}/auto/IPC/ShareLite
%{perl_vendorarch}/auto/IPC/ShareLite/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/IPC/ShareLite/ShareLite.so
%{_mandir}/man3/IPC::ShareLite.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IPC-ShareLite.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> d0e8d72
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> e64fdc6
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 8ddf153
- rebuild with perl 5.34.0

* Sat Jun 26 2021 Jakub Bogusz <qboosh@pld-linux.org> 6235b16
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> e4afbf1
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> ca4d528
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 2ee185c
- rebuild with perl 5.30.0
- release 14 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 2321bf5
- release 13

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 88bdabe
- perl req/prov fix
- release 12 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ba11802
- rebuild with perl 5.26
- release 11 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 27f2c21
- rebuild with perl 5.24.0
- release 10 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 7bd04ee
- release 9 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 39dfd87
- x32 rebuild
- release 8 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 29bca04
- release 7 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 99f6faa
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> aa7f715
- rebuild for perl 5.20
- release 6 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0947d8b
- rebuild with perl 5.18.0
- release 5 (by relup.sh)

* Tue Oct 04 2011 lisu <lisu@pld-linux.org> 7961e6f
- rel 4

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 3756410
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 645d7c4
- release 2

